# PhasicFlow: positionOrdered Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

positionOrdered Class Reference
Inheritance diagram for positionOrdered:
[legend]
Collaboration diagram for positionOrdered:
[legend]

## Public Member Functions

| TypeInfo ("ordered")
| positionOrdered (systemControl &control, const dictionary &dict)
| add_vCtor (positionParticles, positionOrdered, dictionary)
| ~positionOrdered () final=default
uint32 | numPoints () const final
uint32 | size () const final
real | maxDiameter () const final
const realx3Vector & | position () const final
realx3Vector & | position () final
Public Member Functions inherited from positionParticles
| TypeInfo ("positionParticles")
| positionParticles (systemControl &control, const dictionary &dict)
| create_vCtor (positionParticles, dictionary,(systemControl &control, const dictionary &dict),(control, dict))
virtual | ~positionParticles ()=default
bool | mortonSorting () const
auto | maxNumberOfParticles () const
virtual realx3Vector | getFinalPosition ()

## Private Member Functions

bool | findAxisIndex ()
bool | positionPointsOrdered ()

## Private Attributes

dictionary | poDict_
real | diameter_
uint32 | numPoints_
wordList | axisOrder_
realx3 | uVector1_
realx3 | uVector2_
realx3 | uVector3_
realx3Vector | position_

## Additional Inherited Members

Static Public Member Functions inherited from positionParticles
static uniquePtr< positionParticles > | create (systemControl &control, const dictionary &dict)
Protected Member Functions inherited from positionParticles
const auto & | pRegion () const
Static Protected Attributes inherited from positionParticles
static const uint32 | numReports_ = 40

## Detailed Description

Definition at line 30 of file positionOrdered.hpp.

## Constructor & Destructor Documentation

## positionOrdered()

positionOrdered | ( | systemControl & | control,
|  | const dictionary & | dict
| ) |  |

Definition at line 124 of file positionOrdered.cpp.

References fatalExit.

## ~positionOrdered()

~positionOrdered | ( |  | ) |

finaldefault

## Member Function Documentation

## findAxisIndex()

bool findAxisIndex | ( |  | ) |

private

Definition at line 26 of file positionOrdered.cpp.

References positionOrdered::axisOrder_, pFlow::endl(), fatalErrorInFunction, List< T >::size(), positionOrdered::uVector1_, positionOrdered::uVector2_, and positionOrdered::uVector3_.

Here is the call graph for this function:

## positionPointsOrdered()

bool positionPointsOrdered | ( |  | ) |

private

Definition at line 78 of file positionOrdered.cpp.

References dot(), fatalErrorInFunction, and n.

Here is the call graph for this function:

## TypeInfo()

TypeInfo | ( | "ordered" |  | ) |

## add_vCtor()

add_vCtor | ( | positionParticles | ,
|  | positionOrdered | ,
|  | dictionary |
| ) |  |

## numPoints()

uint32 numPoints | ( |  | ) | const

inlinefinalvirtual

Implements positionParticles.

Definition at line 79 of file positionOrdered.hpp.

References positionOrdered::position_, and Vector< T, Allocator >::size().

Here is the call graph for this function:

## size()

uint32 size | ( |  | ) | const

inlinefinalvirtual

Implements positionParticles.

Definition at line 84 of file positionOrdered.hpp.

References positionOrdered::position_, and Vector< T, Allocator >::size().

Here is the call graph for this function:

## maxDiameter()

real maxDiameter | ( |  | ) | const

inlinefinalvirtual

Implements positionParticles.

Definition at line 89 of file positionOrdered.hpp.

References positionOrdered::diameter_.

## position() [1/2]

const realx3Vector& position | ( |  | ) | const

inlinefinalvirtual

Implements positionParticles.

Definition at line 95 of file positionOrdered.hpp.

References positionOrdered::position_.

## position() [2/2]

realx3Vector& position | ( |  | ) |

inlinefinalvirtual

Implements positionParticles.

Definition at line 101 of file positionOrdered.hpp.

References positionOrdered::position_.

## Member Data Documentation

## poDict_

dictionary poDict_

private

Definition at line 36 of file positionOrdered.hpp.

## diameter_

real diameter_

private

Definition at line 38 of file positionOrdered.hpp.

Referenced by positionOrdered::maxDiameter().

## numPoints_

uint32 numPoints_

private

Definition at line 40 of file positionOrdered.hpp.

## axisOrder_

wordList axisOrder_

private

Definition at line 42 of file positionOrdered.hpp.

Referenced by positionOrdered::findAxisIndex().

## uVector1_

realx3 uVector1_

private

Definition at line 45 of file positionOrdered.hpp.

Referenced by positionOrdered::findAxisIndex().

## uVector2_

realx3 uVector2_

private

Definition at line 48 of file positionOrdered.hpp.

Referenced by positionOrdered::findAxisIndex().

## uVector3_

realx3 uVector3_

private

Definition at line 51 of file positionOrdered.hpp.

Referenced by positionOrdered::findAxisIndex().

## position_

realx3Vector position_

private

Definition at line 54 of file positionOrdered.hpp.

Referenced by positionOrdered::numPoints(), positionOrdered::position(), and positionOrdered::size().

The documentation for this class was generated from the following files:

- utilities/particlesPhasicFlow/positionOrdered/positionOrdered.hpp
- utilities/particlesPhasicFlow/positionOrdered/positionOrdered.cpp